ContactGroups

Evaluate a dynamic contact group

Recomputes a dynamic contact group's membership from its criteria, returning counts of added, removed, and total members.

POST
/v1/contact-groups/{id}/evaluate

Recomputes a dynamic contact group's membership from its criteria, returning counts of added, removed, and total members.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^cgrp_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
added*integer
Range0 <= value <= 9007199254740991
removed*integer
Range0 <= value <= 9007199254740991
total*integer
Range0 <= value <= 9007199254740991
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contactGroups.evaluateDynamic({  "id": "example"});
Example Response
{  "added": 0,  "removed": 0,  "total": 0}

Related documentation